[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.ItemInserted

Performs actions when a list item has been inserted in the Items collection.

## Declaration

Source position: comctrls.pp line 1517

`protected procedure TCustomListView.ItemInserted(`
`const AItem: TListItem`
`);`

## Arguments

`AItem` |  | List item for the insert notification.

## Description

Calls the DoInsert method to execute an overridden InsertItem method, or to signal the OnInsert event handler for the list item in AItem. Called from the InsertItem method in TListItems.

## See also

TCustomListView.DoInsert |  | Performs actions needed to insert the specified list item.
TCustomListView.InsertItem |  | Inserts an Item into the List.
TCustomListView.OnInsert |  | Event handler signalled when a list item is added to or inserted in the Items for the control.
TListItems.InsertItem |  | Inserts the specified list item at the specified position in the internal storage for the container.
TListItem |  | Represents the items created in TCustomListView and descendants.